## nemo 1.7.2

=== debian/changelog ===
nemo (1.7.2-1~ubuntu13.04.1) raring-backports; urgency=low

  * No-change backport to raring (LP: #1175133)

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 01 May 2013 15:25:05 +0200

nemo (1.7.2-1) unstable; urgency=low

  * Initial release. (Closes: #692830)

 -- Nicolas Bourdaud <nicolas.bourdaud@gmail.com>  Fri, 22 Mar 2013 15:54:12 +0100

## nemo 1.8.1+maya

=== debian/changelog ===
nemo (1.8.1+maya) olivia; urgency=low

  * 1.8.1

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 May 2013 13:29:40 +0100

nemo (1.8.0) olivia; urgency=low

  * 1.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 05 May 2013 13:21:54 +0100

nemo (1.7.6) olivia; urgency=low

  * 1.7.6

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 May 2013 17:07:54 +0100

nemo (1.7.5) olivia; urgency=low

  * 1.7.5

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 Apr 2013 16:45:52 +0100

nemo (1.7.4) olivia; urgency=low

  * 1.7.4

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 27 Apr 2013 20:03:25 +0100

nemo (1.7.3) olivia; urgency=low

  * 1.7.3

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Apr 2013 14:56:37 +0100

nemo (1.7.2) olivia; urgency=low

  * 1.7.2

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Mar 2013 14:07:10 +0000

nemo (1.7.1) olivia; urgency=low

  * 1.7.1

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Feb 2013 16:29:56 +0000

nemo (1.1.2) nadia; urgency=low

  * 1.1.2

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 14 Nov 2012 12:02:03 +0000

nemo (1.1.1) nadia; urgency=low

  * 1.1.1

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 06 Nov 2012 16:37:43 +0000

nemo (1.1.0) nadia; urgency=low

  * 1.1.0

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Nov 2012 18:47:31 +0000

nemo (1.0.9) nadia; urgency=low

  * 1.0.9

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Nov 2012 20:50:56 +0000

nemo (1.0.8) nadia; urgency=low

  * 1.0.8

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Nov 2012 12:55:13 +0000

nemo (1.0.7) nadia; urgency=low

  * 1.0.7

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Oct 2012 16:25:12 +0000

nemo (1.0.6) nadia; urgency=low

  * 1.0.6

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 Oct 2012 15:33:14 +0100

nemo (1.0.5) nadia; urgency=low

  * nadia

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 20 Oct 2012 12:23:47 +0100

nemo (1.0.4) nadia; urgency=low

  * 1.0.4

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 18 Oct 2012 13:43:14 +0100

nemo (1.0.3) maya; urgency=low

  * 1.0.3

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 01 Oct 2012 15:22:23 +0100

nemo (1.0.2) maya; urgency=low

  * 1.0.2

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 27 Sep 2012 14:27:20 +0100

nemo (1.0.1) maya; urgency=low

  * 1.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 19 Sep 2012 10:32:29 +0100

nemo (1.0.0) maya; urgency=low

  * Initial version, based on nautilus 3.4.2-0ubuntu3

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 18 Jul 2012 18:43:00 +0000

## nemo 4.0.6+tessa

=== meson_options.txt ===
option('deprecated_warnings', type : 'boolean', value : false,
       description: 'Show compiler warnings about deprecated features')
option('exif', type : 'boolean', value : true,
       description: 'EXIF parsing support (requires libexif)')
option('xmp', type : 'boolean', value : true,
       description: 'XMP support (requires Exempi)')
option('gtk_doc', type : 'boolean', value : false,
       description: 'Generate API reference (requires GTK-Doc)')
option('selinux', type : 'boolean', value : false,
       description: 'SELinux support')
option('empty_view', type : 'boolean', value : false,
       description: 'Enable empty view')
option('tracker',type : 'combo', choices : ['true', 'false', 'auto'], value : 'false',
       description: 'Tracker support')
option('profiling', type : 'boolean', value : false,
       description: 'keep frame pointers (for profiling purposes)')

## nemo 1.8.4

=== debian/changelog ===
nemo (1.8.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/01-disable-deprecated.patch:
    + Don't disable deprecated functions in rdeps, otherwise nemo FTBFS
      because it uses some deprecated functions. Closes: #740119.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 06 Mar 2014 00:13:58 +0100

nemo (1.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 01 Aug 2013 16:00:05 +0200

nemo (1.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 15 Jun 2013 16:37:02 +0200

nemo (1.8.1-1) unstable; urgency=low

  * New upstream release.
  * Add gtksourceview syntax highlighting files to nemo-data.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 09 May 2013 23:16:08 +0200

=== debian/control ===
Source: nemo
Section: misc
Priority: optional
Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Uploaders: Benjamin Drung <bdrung@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.13),
               gobject-introspection (>= 0.9.12-4~),
               gtk-doc-tools (>= 1.4),
               intltool (>= 0.40.1),
               libatk1.0-dev (>= 1.32.0),
               libexempi-dev (>= 2.1.0),
               libexif-dev (>= 0.6.20),
               libgail-3-dev,
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-dev (>= 2.31.9),
               libglib2.0-doc,
               libgnome-desktop-3-dev (>= 3.0.0),
               libgtk-3-dev (>= 3.3.18),
               libgtk-3-doc,
               libnotify-dev (>= 0.7.0),
               libx11-dev,
               libxext-dev,
               libxml2-dev (>= 2.7.8),
               libxrender-dev,
               libxt-dev,
               python-dev,
               shared-mime-info (>= 0.50),
               x11proto-core-dev
Homepage: http://www.github.com/linuxmint/nemo/
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cinnamon/nemo.git
Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/nemo.git

Package: nemo
Architecture: any
Depends: desktop-file-utils (>= 0.7),
         gsettings-desktop-schemas,
         gvfs (>= 1.3.2),
         libglib2.0-data,
         nemo-data (= ${source:Version}),
         shared-mime-info (>= 0.50),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: eject, gvfs-backends, librsvg2-common, nemo-fileroller
Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs
Description: File manager and graphical shell for Cinnamon
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.

Package: nemo-dbg
Section: debug
Priority: extra
Architecture: any
Depends: nemo (= ${binary:Version}), ${misc:Depends}
Description: File manager and graphical shell for Cinnamon (Debugging symbols)
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This development package contains the debugging symbols of nemo and its
 extension library.

Package: libnemo-extension1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nemo component system facilities
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the shared library needed by the nemo extensions.

Package: libnemo-extension-dev
Architecture: any
Section: libdevel
Depends: gir1.2-nemo-3.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.31.9),
         libgtk-3-dev (>= 3.3.18),
         libnemo-extension1 (= ${binary:Version}),
         ${misc:Depends}
Description: Nemo component system facilities (development files)
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the files needed to compile and link nemo extensions.

Package: gir1.2-nemo-3.0
Architecture: any
Section: libdevel
Depends: ${gir:Depends}, ${misc:Depends}
Description: libraries for nemo components - gir bindings
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: nemo-data
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: nemo
Description: File manager and graphical shell for Cinnamon (data files)
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains pictures, localization files and other data
 needed by nemo.

=== debian/rules ===
#!/usr/bin/make -f

CONFIGURE_EXTRA_FLAGS = \
	--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/nemo \
	--disable-silent-rules \
	--disable-update-mimedb \
	--enable-gtk-doc \
	$(NULL)

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed


%:
	dh $@ --with autoreconf,python2,gir --parallel

override_dh_autoreconf:
	NOCONFIGURE=yes dh_autoreconf --as-needed -- ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_EXTRA_FLAGS)

override_dh_auto_test:

override_dh_strip:
	dh_strip --dbg-package=nemo-dbg

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/nemo/extensions-3.0/

override_dh_python2:
	dh_python2 -p nemo-data /usr/share/nemo

override_dh_installmime:
	dh_installmime -pnemo-data

=== debian/watch ===
version=3
https://github.com/linuxmint/nemo/tags .*/(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## nemo 2.0.8+lmde

=== debian/changelog ===
nemo (2.0.8+lmde) petra; urgency=low

  * 2.0.8

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2013 18:37:31 +0000

nemo (2.0.7) petra; urgency=low

  * 2.0.7

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 23 Nov 2013 13:39:58 +0000

nemo (2.0.6) petra; urgency=low

  * 2.0.6

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 Nov 2013 13:42:09 +0000

nemo (2.0.5) petra; urgency=low

  * 2.0.5

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Nov 2013 15:53:05 +0000

nemo (2.0.4) petra; urgency=low

  * 2.0.4

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Oct 2013 13:32:20 +0000

nemo (2.0.3) petra; urgency=low

  * 2.0.3

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Oct 2013 10:40:51 +0000

nemo (2.0.2) petra; urgency=low

  * 2.0.2

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 Oct 2013 14:20:41 +0100

nemo (2.0.1) petra; urgency=low

  * 2.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 Oct 2013 15:57:39 +0100

nemo (2.0.0) petra; urgency=low

  * 2.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Oct 2013 16:36:43 +0100

nemo (1.9.1) petra; urgency=low

  * 1.9.1

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Sep 2013 14:21:12 +0100

nemo (1.8.5) olivia; urgency=low

  * 1.8.5

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Aug 2013 14:07:52 +0100

nemo (1.8.4) olivia; urgency=low

  * 1.8.4

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 09 Jul 2013 17:12:40 +0200

nemo (1.8.3) olivia; urgency=low

  * 1.8.3

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 01 Jun 2013 12:55:17 +0100

nemo (1.8.2) olivia; urgency=low

  * 1.8.2

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 May 2013 21:08:35 +0100

nemo (1.8.1) olivia; urgency=low

  * 1.8.1

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 May 2013 13:29:40 +0100

## nemo 2.0.8+maya

=== debian/changelog ===
nemo (2.0.8+maya) petra; urgency=low

  * 2.0.8

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2013 18:37:31 +0000

=== debian/control ===
Source: nemo
Section: gnome
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 8),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.13),
               libglib2.0-dev (>= 2.31.9),
               libatk1.0-dev (>= 1.32.0),
               libgtk-3-dev (>= 3.3.18),
               libgail-3-dev,
               libcinnamon-desktop-dev (>= 1.0.0),
               libxml2-dev (>= 2.7.8),
               libexif-dev (>= 0.6.20),
               libexempi-dev (>= 2.1.0),
               libnotify-dev (>= 0.7.0),
               intltool (>= 0.40.1),
               gtk-doc-tools (>= 1.4),
               libxt-dev,
               libx11-dev,
               libxrender-dev,
               libxext-dev,
               x11proto-core-dev,
               shared-mime-info (>= 0.50),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-doc,
               libgtk-3-doc
Homepage: http://www.github.com/linuxmint/nemo/
Standards-Version: 3.9.2

Package: nemo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         nemo-data (= ${binary:Version}),
         shared-mime-info (>= 0.50),
         desktop-file-utils (>= 0.7),
         gvfs (>= 1.3.2),
         libglib2.0-data,
         cinnamon-desktop-data,
         cinnamon-translations,
         cinnamon
Recommends: eject,
            librsvg2-common,
            gvfs-backends,
            nemo-fileroller
Suggests: eog,
          evince | pdf-viewer,
          totem | mp3-decoder,
          xdg-user-dirs
Breaks: gnome-volume-manager (<< 2.24),
        rhythmbox (<< 0.12),
        gnome-session (<< 2.28),
        gnome-bluetooth (<< 3.0)
Description: file manager and graphical shell for Cinnamon
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.

Package: nemo-dbg
Section: debug
Architecture: any
Priority: extra
Depends: nemo (= ${binary:Version}),
         ${misc:Depends}
Replaces: libnemo-extension1-dbg
Description: file manager and graphical shell for Cinnamon - debugging version
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.
 .
 This development package contains unstripped binaries compiled with
 debugging symbols needed by gdb.

Package: libnemo-extension1
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: libnemo-extension1a
Replaces: libnemo-extension1a
breaks: libnemo-extension1a
Description: libraries for nemo components - runtime version
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package contains a few runtime libraries needed by nemo' extensions.

Package: libnemo-extension-dev
Architecture: any
Section: libdevel
Depends: libnemo-extension1 (= ${binary:Version}),
         gir1.2-nemo-3.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.31.9),
         libgtk-3-dev (>= 3.3.18),
         ${shlibs:Depends},
         ${misc:Depends}
Description: libraries for nemo components - development version
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package provides the necessary development libraries and include
 files to develop and compile Nemo extensions.

Package: gir1.2-nemo-3.0
Architecture: any
Section: libdevel
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: gir1.0-nemo-3.0
Replaces: gir1.0-nemo-3.0
Description: libraries for nemo components - gir bindings
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: nemo-data
Architecture: all
Depends: ${misc:Depends}
Suggests: nemo
Description: data files for nemo
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package contains pictures, localization files and other data
 needed by nemo.

## nemo 2.2.4

=== debian/changelog ===
nemo (2.2.4-2) unstable; urgency=low

  * Install typelib into multiarch libdir. (Closes: #762837)
    Thanks to Iain Lane for the fix.

 -- Margarita Manterola <marga@debian.org>  Sat, 27 Sep 2014 15:49:17 +0200

nemo (2.2.4-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.
  * Remove obsolete conffile: /etc/xdg/autostart/nemo-autostart.desktop.
    (Closes: #755764)
  * debian/control: cinnamon-translations->cinnamon-l10n.

  [ Maximiliano Curia ]
  * New patch: clang_FTBFS (Closes: #741866) Thanks to Nicolas Sévelin-
    Radiguet.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Aug 2014 14:18:16 +0200

nemo (2.2.3-2) unstable; urgency=medium

  [ Margarita Manterola ]
  * Incorporate old NMU.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Jul 2014 11:20:54 +0200

nemo (2.2.3-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.
  * Removed patches applied upstream:
    - ignore_files_dir_check
    - update_po_POTFILES.in

  [ Margarita Manterola ]
  * Added patch to handle translations correctly.
  * Added cinnamon-translations to Recommends.

 -- Margarita Manterola <marga@debian.org>  Sat, 12 Jul 2014 16:22:47 +0200

nemo (2.2.2-1) experimental; urgency=medium

  * New upstream release.
  * Install missing usr/share/polkit-1/actions/org.nemo.root.policy.

 -- Margarita Manterola <marga@debian.org>  Sat, 24 May 2014 19:28:37 +0200

nemo (2.2.1-1) experimental; urgency=medium

  * Update VCS fields.
  * New upstream release.
  * New patch: update_po_POTFILES.in
  * New patch: ignore_files_dir_check

 -- Maximiliano Curia <maxy@debian.org>  Mon, 19 May 2014 13:55:06 +0200

nemo (2.2.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release.
  * New maintainers (Closes: #745909)
  * Update build dependencies.
  * New patch: upstream-stop_gtk_stock_deprecated.diff
  * New patch: disable_po_check
  * Add autopkgtests.
  * Add abi-compliance-checker info.

  [ Margarita Manterola ]
  * New upstream release 2.2.0
  * Add myself to uploaders.
  * Remove unneeded upstream patch.
  * Remove disable_po_check patch.
  * Add more build dependencies.

 -- Margarita Manterola <marga@debian.org>  Mon, 28 Apr 2014 22:27:10 +0200

=== debian/control ===
Source: nemo
Section: misc
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Margarita Manterola <marga@debian.org>,
           Fabio Fantoni <fantonifabio@tiscali.it>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.13),
               gobject-introspection (>= 0.9.12-4~),
               gtk-doc-tools (>= 1.4),
               intltool (>= 0.40.1),
               libatk1.0-dev (>= 1.32.0),
               libexempi-dev (>= 2.1.0),
               libexif-dev (>= 0.6.20),
               libgail-3-dev,
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-dev (>= 2.31.9),
               libglib2.0-doc,
               libcinnamon-desktop-dev,
               libgtk-3-dev (>= 3.3.18),
               libgtk-3-doc,
               libnotify-dev (>= 0.7.0),
               libx11-dev,
               libxext-dev,
               libxml2-dev (>= 2.7.8),
               libxrender-dev,
               libxt-dev,
               python-dev,
               shared-mime-info (>= 0.50),
               x11proto-core-dev,
               python-gi,
               python-polib
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cinnamon/nemo.git
Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/nemo.git

Package: nemo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: desktop-file-utils (>= 0.7),
         gsettings-desktop-schemas,
         gvfs (>= 1.3.2),
         libglib2.0-data,
         nemo-data (= ${source:Version}),
         shared-mime-info (>= 0.50),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: eject,
            gvfs-backends,
            librsvg2-common,
            nemo-fileroller,
            cinnamon-l10n
Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs
Description: File manager and graphical shell for Cinnamon
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.

Package: nemo-dbg
Section: debug
Priority: extra
Architecture: any
Depends: nemo (= ${binary:Version}), ${misc:Depends}
Description: File manager and graphical shell for Cinnamon (Debugging symbols)
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This development package contains the debugging symbols of nemo and its
 extension library.

Package: libnemo-extension1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nemo component system facilities
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the shared library needed by the nemo extensions.

Package: libnemo-extension-dev
Architecture: any
Section: libdevel
Depends: gir1.2-nemo-3.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.31.9),
         libgtk-3-dev (>= 3.3.18),
         libnemo-extension1 (= ${binary:Version}),
         ${misc:Depends}
Description: Nemo component system facilities (development files)
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the files needed to compile and link nemo extensions.

Package: gir1.2-nemo-3.0
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Description: libraries for nemo components - gir bindings
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: nemo-data
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: nemo
Description: File manager and graphical shell for Cinnamon (data files)
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains pictures, localization files and other data
 needed by nemo.

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 	--enable-gtk-doc \
 	$(NULL)
 
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
-
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@ --with autoreconf,python2,gir --parallel
@@ -20,6 +19,7 @@
 	dh_auto_configure -- $(CONFIGURE_EXTRA_FLAGS)
 
 override_dh_auto_test:
+	# Disable auto tests
 
 override_dh_strip:
 	dh_strip --dbg-package=nemo-dbg
@@ -30,5 +30,8 @@
 override_dh_python2:
 	dh_python2 -p nemo-data /usr/share/nemo
 
+override_dh_install:
+	dh_install --list-missing
+
 override_dh_installmime:
 	dh_installmime -pnemo-data

## nemo 2.2.4+qiana

=== debian/changelog ===
nemo (2.2.4+qiana) qiana; urgency=medium

  * Fixes for network share browsing segfault, and segfault when ejecting mounted ISO.
  * Actions: Don't accumulate callbacks in views.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Aug 2014 13:17:33 +0200

nemo (2.2.3) qiana; urgency=medium

  * Merging debian/patches
  * Show unmount progress notifications when ejecting a drive
  * Fix #627 - crash when unmounting archives.  This is a temporary fix - pull request coming for permanent fix.
  * places-sidebar: render eject icon correctly in hidpi
  * Open-with dialog: Bugfix (Fixes #631) and a few improvements
  * nemo-links: add desktop file hack for desktop session names.
  * Fix sample nemo action to work with filenames with spaces.
  * Really fix the sample action
  * Clean up orphaned gtk bookmarks at startup.
  * Revert "Clean up orphaned gtk bookmarks at startup."
  * nemo-actions: Add flag to escape spaces in file paths.
  * Use GtkRevealer for search bar.
  * nemo-file: compare_by_display_name - handle null strings gracefully.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Jun 2014 14:43:10 +0100

nemo (2.2.2) qiana; urgency=medium

  * 2.2.2

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 21 May 2014 12:36:20 +0100

nemo (2.2.1) qiana; urgency=medium

  * 2.2.1

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 May 2014 14:35:34 +0100

nemo (2.2.0) qiana; urgency=medium

  * 2.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 12 Apr 2014 15:50:14 +0100

nemo (2.0.8) petra; urgency=low

  * 2.0.8

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2013 18:37:31 +0000

=== debian/control ===
Source: nemo
Section: gnome
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 8),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.13),
               libglib2.0-dev (>= 2.31.9),
               libatk1.0-dev (>= 1.32.0),
               libgtk-3-dev (>= 3.3.18),
               libgail-3-dev,
               libcinnamon-desktop-dev (>= 1.0.0),
               libxml2-dev (>= 2.7.8),
               libexif-dev (>= 0.6.20),
               libexempi-dev (>= 2.1.0),
               libnotify-dev (>= 0.7.0),
               intltool (>= 0.40.1),
               gtk-doc-tools (>= 1.4),
               libxt-dev,
               libx11-dev,
               libxrender-dev,
               libxext-dev,
               x11proto-core-dev,
               shared-mime-info (>= 0.50),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-doc,
               libgtk-3-doc,
               python-polib,
               cinnamon-translations,
               python-gi
Homepage: http://www.github.com/linuxmint/nemo/
Standards-Version: 3.9.2

Package: nemo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         nemo-data (= ${binary:Version}),
         shared-mime-info (>= 0.50),
         desktop-file-utils (>= 0.7),
         gvfs (>= 1.3.2),
         libglib2.0-data,
         cinnamon-desktop-data,
         cinnamon-translations,
         cinnamon
Recommends: eject,
            librsvg2-common,
            gvfs-backends,
            nemo-fileroller
Suggests: eog,
          evince | pdf-viewer,
          totem | mp3-decoder,
          xdg-user-dirs
Breaks: gnome-volume-manager (<< 2.24),
        rhythmbox (<< 0.12),
        gnome-session (<< 2.28),
        gnome-bluetooth (<< 3.0)
Description: file manager and graphical shell for Cinnamon
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.

Package: nemo-dbg
Section: debug
Architecture: any
Priority: extra
Depends: nemo (= ${binary:Version}),
         ${misc:Depends}
Replaces: libnemo-extension1-dbg
Description: file manager and graphical shell for Cinnamon - debugging version
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.
 .
 This development package contains unstripped binaries compiled with
 debugging symbols needed by gdb.

Package: libnemo-extension1
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: libnemo-extension1a
Replaces: libnemo-extension1a
breaks: libnemo-extension1a
Description: libraries for nemo components - runtime version
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package contains a few runtime libraries needed by nemo' extensions.

Package: libnemo-extension-dev
Architecture: any
Section: libdevel
Depends: libnemo-extension1 (= ${binary:Version}),
         gir1.2-nemo-3.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.31.9),
         libgtk-3-dev (>= 3.3.18),
         ${shlibs:Depends},
         ${misc:Depends}
Description: libraries for nemo components - development version
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package provides the necessary development libraries and include
 files to develop and compile Nemo extensions.

Package: gir1.2-nemo-3.0
Architecture: any
Section: libdevel
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: gir1.0-nemo-3.0
Replaces: gir1.0-nemo-3.0
Description: libraries for nemo components - gir bindings
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: nemo-data
Architecture: all
Depends: ${misc:Depends}
Suggests: nemo
Description: data files for nemo
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package contains pictures, localization files and other data
 needed by nemo.

=== debian/rules ===
#!/usr/bin/make -f

CONFIGURE_EXTRA_FLAGS = --libexecdir=/usr/lib/nemo \
                        --disable-update-mimedb \
			--enable-gtk-doc

export LDFLAGS+=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed


%:
	dh $@ --parallel --with autoreconf

override_dh_autoreconf:
	NOCONFIGURE=yes dh_autoreconf --as-needed -- ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_EXTRA_FLAGS)

override_dh_auto_test:

override_dh_strip:
	dh_strip --dbg-package=nemo-dbg

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/nemo/extensions-3.0/

override_dh_installmime:
	dh_installmime -pnemo-data

## nemo 2.4.5+rebecca

=== debian/changelog ===
nemo (2.4.5+rebecca) betsy; urgency=medium

  * Fixed the growing size of the nemo statusbar in each new version of gtk

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Jan 2015 13:10:06 +0100

nemo (2.4.4) rebecca; urgency=medium

  * list-view: Don't reset zoom level when syncing statusbar zoom widget state.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 24 Nov 2014 09:11:57 +0100

nemo (2.4.3) rebecca; urgency=medium

  * Never allow root nemo to manage the desktop.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 22 Nov 2014 17:17:30 +0100

nemo (2.4.2) rebecca; urgency=medium

  * icon-container: Fix regression when renaming files in certain views -
  * Revert "places sidebar: set cells to a fixed height, seems to prevent residual"

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Nov 2014 22:35:46 +0100

nemo (2.4.1) rebecca; urgency=medium

  * Show UP button by default in the toolbar
  * Re-enabled the right click context menu on nemo toolbar navigation buttons
  * Recent files: show same open-with entries as normal folders
  * Sidebar: Fix expander state
  * Sidebar: workaround for icon render issue.  Don't allow the tree view to be unrestrained vertically.
  * Places sidebar: set cells to a fixed height, seems to prevent residual render issues

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Nov 2014 11:07:57 +0100

nemo (2.4.0) rebecca; urgency=medium

  * 2.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Oct 2014 16:23:56 +0100

nemo (2.3.0) unstable; urgency=medium

  * 2.3.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Jun 2014 14:44:35 +0100

=== debian/control ===
--- 
+++ 
@@ -42,8 +42,7 @@
          gvfs (>= 1.3.2),
          libglib2.0-data,
          cinnamon-desktop-data,
-         cinnamon-translations,
-         cinnamon
+         cinnamon-translations
 Recommends: eject,
             librsvg2-common,
             gvfs-backends,
@@ -116,7 +115,7 @@
 
 Package: gir1.2-nemo-3.0
 Architecture: any
-Section: libdevel
+Section: introspection
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
@@ -131,7 +130,8 @@
 
 Package: nemo-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         python
 Suggests: nemo
 Description: data files for nemo
  Nemo is the official file manager and graphical shell for the

## nemo 2.6.7

=== debian/changelog ===
nemo (2.6.7-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Tue, 07 Jul 2015 15:12:33 +0200

nemo (2.6.6-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.

  [ Margarita Manterola ]
  * Added patch imported from Ubuntu to add more files to POTFILES.in

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Jun 2015 13:31:04 +0200

nemo (2.6.5-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Drop eject from recommends. (Closes: #785513)
  * Added strict libnemo-extension1 dependency to nemo. (Closes: #785486)
  * New upstream release.

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jun 2015 21:46:22 +0200

nemo (2.4.5-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.
  * debian/patches: removed 2 patches applied upstream.

  [ Maximiliano Curia ]
  * Update copyright information.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 02 Mar 2015 15:54:36 +0100

=== debian/control ===
Source: nemo
Section: misc
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Margarita Manterola <marga@debian.org>,
           Fabio Fantoni <fantonifabio@tiscali.it>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               gobject-introspection,
               gtk-doc-tools (>= 1.4),
               intltool (>= 0.40.1),
               libatk1.0-dev (>= 1.32.0),
               libcinnamon-desktop-dev (>= 2.6.1),
               libexempi-dev (>= 2.1.0),
               libexif-dev (>= 0.6.20),
               libgail-3-dev,
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-dev (>= 2.31.9),
               libglib2.0-doc,
               libgtk-3-dev (>= 3.3.18),
               libgtk-3-doc,
               libnotify-dev (>= 0.7.0),
               libx11-dev,
               libxext-dev,
               libxml2-dev (>= 2.7.8),
               libxrender-dev,
               python,
               python-gi,
               python-polib,
               x11proto-core-dev
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-cinnamon/nemo.git
Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/nemo.git

Package: nemo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: desktop-file-utils (>= 0.7),
         gsettings-desktop-schemas,
         gvfs (>= 1.3.2),
         libcinnamon-desktop4 (>= 2.6.1),
         libglib2.0-data,
         libnemo-extension1 (= ${binary:Version}),
         nemo-data (= ${source:Version}),
         shared-mime-info (>= 0.50),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: cinnamon-l10n, gvfs-backends, librsvg2-common, nemo-fileroller
Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs
Description: File manager and graphical shell for Cinnamon
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.

Package: nemo-dbg
Section: debug
Priority: extra
Architecture: any
Depends: nemo (= ${binary:Version}), ${misc:Depends}
Description: File manager and graphical shell for Cinnamon (Debugging symbols)
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This development package contains the debugging symbols of nemo and its
 extension library.

Package: libnemo-extension1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nemo component system facilities
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the shared library needed by the nemo extensions.

Package: libnemo-extension-dev
Section: libdevel
Architecture: any
Depends: gir1.2-nemo-3.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.31.9),
         libgtk-3-dev (>= 3.3.18),
         libnemo-extension1 (= ${binary:Version}),
         ${misc:Depends}
Description: Nemo component system facilities (development files)
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the files needed to compile and link nemo extensions.

Package: gir1.2-nemo-3.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Description: libraries for nemo components - gir bindings
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: nemo-data
Architecture: all
Depends: python, ${misc:Depends}, ${python:Depends}
Suggests: nemo
Description: File manager and graphical shell for Cinnamon (data files)
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains pictures, localization files and other data
 needed by nemo.
